<div id="flowchart-container" style="display: none;">
    <div align="center">
        <div class="flowchart">
            <div class="flowchart-head">
                <img src="<?=$plugin_url?>/img/watch-visitors/statistics.png" class="flowchart-img" />
            </div>
            <div class="flowchart-mid">
                <div class="flowchart-content">
                    <div class="lefty">
                        <div class="stat bordered3"><b>Visit Type:</b> __visit_type__</div> 
                        <div class="stat bordered3"><b>Traffic Source:</b> __traffic_source__</div>
                        <div class="stat"><b>Referred URL:</b> __referrer__</div>
                    </div>
                    
                    <div class="righty">
                        <div class="stat bordered3"><b>Referred Keyword:</b> __kw__</div>
                        <div class="stat bordered3"><b>Screen Display:</b> __res__</div>
                        <div class="stat"><b>Total # of Pages Visited:</b> __bcount__</div>
                    </div>
                    
                    <div style="clear: both;"></div>
                </div>
                                              
                <div class="flowchart-head">
                    <img src="<?=$plugin_url?>/img/watch-visitors/flowchart.png" class="flowchart-img" />
                </div>
                
                <div class="flowchart-content">
                    __flowchart__                        
                    <div style="clear: both;"></div>
                </div>
            </div>
            <div class="flowchart-bottom"></div>
        </div>
    </div>
    <div style="clear: both;"></div>
</div>

<div id="xrow" style="display: none;">
    <div id="flow-row">
        <div id="flow-timer">__total_time__</div>
        <div id="flow-img">
            <a href="__xpage__" target="_blank"><img src="<?=$plugin_url?>/img/watch-visitors/flowchart-row-link.png" /></a>
        </div>
        <div id="flow-link">__xpage__</div>                                                        
    </div>
</div>

<script language="javascript">


function TogleVisitorDetails(id) {
    
    
    var mydiv = document.getElementById('vis'+id);
    if (mydiv.style.display != 'none') {
        $('#vis'+id).slideUp(50);
        return;
    }
          
    // get data
    mydiv.innerHTML = '<center><small>Requesting data, please wait ...</small></center>';
    $.getJSON("<?=get_option('home')?>/?sessiondetails2=" + id, function(json){ 
        
        var thecontent = $('#flowchart-container').html().replace('__visit_type__', json.visit_type);
        
        thecontent = thecontent.replace('__traffic_source__', json.traffic_source);
        if (json.referrer != 'n/a') {
            thecontent = thecontent.replace('__referrer__', '<a href="' + json.referrer + '" target="_blank">' + json.referrer + '</a>');
        } else {
            thecontent = thecontent.replace('__referrer__', json.referrer);
        }
        thecontent = thecontent.replace('__kw__', json.kw);
        thecontent = thecontent.replace('__res__', json.res);
        thecontent = thecontent.replace('__bcount__', json.bcount); 
        
        var rows = '';
        
        for (var i = 0; i < json.bcount; i++) rows += GetRow3(json.pages[i].page, json.pages[i].total_time);
                                                     
        thecontent = thecontent.replace('__flowchart__', rows);  
        
        mydiv.innerHTML = thecontent;                                                                         
    });
    
    // show div
    $('#vis'+id).slideDown(50);

    
    
}

function GetRow3(page, total_time) {         
    return $('#xrow').html().replace('__total_time__', total_time).replace(/__xpage__/gi, page);
}

</script>

<div id="listbox">
        <div id="listbox-title"><font>Visitors</font></div>
        <div id="listbox-mid">
<?
if (count($actions) > 0) {
    ?>       
            <table width="818" cellpadding="0" cellspacing="0" style="margin-left: 1px;">
                <tr>  
                    <td valign="top" align="left" class="list title" width="42"></td>
                    <td valign="top" align="left" class="list title bordered">IP</td>
                    <td valign="top" align="left" class="list title bordered">Browser</td>
                    <td valign="top" align="left" class="list title bordered">OS</td>
                    <td valign="top" align="left" class="list title bordered">Traffic Source</td>
                    <td valign="top" align="left" class="list title bordered">Visit Began*</td>
                    <td valign="top" align="left" class="list title bordered">Total Time</td>
                </tr>
                <?
                $x = 0;
                foreach ($actions as $a) {
                    $x++;
                    $class = 'row'.(($x%2)+1);
                    ?>
                        <tr>    
                            <td valign="top" align="center" class="list <?=$class?>">
                                <? if ( !isset($play_disabled) || ($play_disabled === false) ) { ?>
                                <a href="<?=get_option('home')?>/?play&id=<?=$a->ssid?>" target="_blank"><img src="<?=WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__))?>../img/list/play.png" border="0" style="margin-top: 10px;" /></a>
                                <? } ?>
                            </td> 
                            <td valign="top" align="left" class="list <?=$class?> bordered"><a href="javascript: TogleVisitorDetails(<?=$a->ssid?>);"><?=$a->ip?></a></td>
                            <td valign="top" align="left" class="list <?=$class?> bordered"><?= ( ($a->browser == 'Internet Explorer') ? 'IE' : $a->browser ).' '.$a->browser_version?></td>
                            <td valign="top" align="left" class="list <?=$class?> bordered"><?=$a->v_os.' '.$a->v_os_version?></td>
                            <td valign="top" align="left" class="list <?=$class?> bordered">
                                <?
                                if ($a->seid > 0) {
                                    ?>
                                    <a href="javascript: TogleVisitorDetails(<?=$a->ssid?>);"><?=$a->sname?></a>
                                    <?
                                } elseif (!empty($a->referer)) {
                                    ?>
                                    <a href="javascript: TogleVisitorDetails(<?=$a->ssid?>);">Referred</a>
                                    <?                                                            
                                } else {
                                    ?>
                                    <a href="javascript: TogleVisitorDetails(<?=$a->ssid?>);">Direct Hit</a>
                                    <?
                                }   
                                ?>
                            </td>
                            <td valign="top" align="left" class="list <?=$class?> bordered"><?=date('M d H:i A', $a->start_time + $TotalOffset)?></td>
                            <td valign="top" align="left" class="list <?=$class?> bordered"><?=FormatTime($a->total_time)?></td>
                        </tr>
                        <tr>
                            <td colspan="7">
                                <div id="vis<?=$a->ssid?>" style="display: none; margin: 20px 0px;"></div></td>
                            </td>
                        </tr>
                    <?
                }
                ?>
            </table>
        
        
    
    
    <?
} else {
    ?>
    <center>
        <br />    
        
        <b>There are no visitors for the date range and filter settings that you selected.</b>
        
        <br />
        <br />
    </center>
    <?
}


  
?>

        </div>
        <div id="listbox-bottom">
            <i style="float: left; line-height: 40px; margin-left: 20px; font-size: 12px;">All times are GMT <?=$TimezoneH?>:<?=$TimezoneM?> ( <a href="admin.php?page=wpc-other-options">Edit time zone</a> )</i>    
        </div>
    </div>

<table width="820">
    <tr>
        <td valign="top" align="center">
            <center>
                <table cellpadding="0" cellspacing="0" style="margin-top: 7px;">
                    <tr>
                        <?
                        if (count($pages) > 0) {
                            foreach ($pages as $p) {
                                ?>
                                <td valign="middle" align="center"><div <?= (empty($p['link'])) ? 'id="page-active"' : 'id="page-inactive" onclick="javascript: window.location = \''.$p['link'].'\';"'?> ><?=$p['page']?></div></td>
                                <?
                            }
                        }
                        ?>
                    </tr>
                </table>
            </center>
        </td>
    </tr>
</table>    