<?php
    
include 'functions.php'; 

$ServerOffset = date('Z');
$UserOffset = floatval(get_option('wpc_timezone')) * 3600;

$TotalOffset  = $UserOffset - $ServerOffset + ( (date('I') == 0) ? 3600 : 0);

$TimezoneH = $UserOffset / 3600;
$TimezoneM = ($UserOffset % 3600) / 60;

if ( (-10 < $TimezoneH) && ( $TimezoneH < 0 )  ) $TimezoneH = '-0'.abs($TimezoneH);
if ( (0 < $TimezoneH) && ( $TimezoneH < 10 )  ) $TimezoneH = '0'.abs($TimezoneH);
if ( $TimezoneH == 0 ) $TimezoneH = '00';
if ($TimezoneM < 10) $TimezoneM = '0'.$TimezoneM;


$StartFrom = 0;
$mypage = 1;
if (isset($_GET['start'])) {
    $StartFrom = $_GET['start'];
    $mypage = floor($StartFrom / $ShowPerPage) + 1; 
}

//print_r($filters);

$query = '

select distinct(t.ssid), p.pgid, t.ip, t.start_time, t.country, t.v_os, t.seid, t.referer, t.keyword, t.v_os_version, t.browser, t.browser_version, t.total_time, se.sname, se.searchurl
from 
    tr_pages p, tr_visits t
left join tr_sengines se on 
    t.seid=se.seid   
where    
        t.start_time>"'.$StartDate.'" 
    and t.start_time<"'.$EndDate.'" 
    and t.ssid=p.ssid '; 

$query2 = '

select distinct(t.ssid) 
from 
    tr_pages p, tr_visits t  
where 
        t.start_time>"'.$StartDate.'" 
    and t.start_time<"'.$EndDate.'" 
    and t.ssid=p.ssid '; 
    
if (isset($filters['countries']))
    if ($filters['countries'][0] != 'allcountries') {
        $in = '';                                 
        
        foreach ($filters['countries'] as $c) {
            $in .= ', "'.$c.'"';
        }
        
        $in = substr($in, 1);
        
        $query .= ' 
        and t.country in ('.$in.')';
        
        $query2 .= ' 
        and t.country in ('.$in.')';
    }
    

if (isset($filters['browsers']))    
    if ($filters['browsers'][0] != 'allbrowsers') {
        $in = '';
            
        foreach ($filters['browsers'] as $c) {
            $in .= ', "'.$c.'"';
        }
        
        $in = substr($in, 1);
        
        $query .= ' 
        and t.browser in ('.$in.')';
        
        $query2 .= ' 
        and t.browser in ('.$in.')';
    }

if (isset($filters['os']))
    if ($filters['os'][0] != 'allos') {
        $in = '';
        
        foreach ($filters['os'] as $c) {
            $in .= ', "'.$c.'"';
        }
        
        $in = substr($in, 1);
        
        $query .= ' 
        and t.v_os in ('.$in.')';
        
        $query2 .= ' 
        and t.v_os in ('.$in.')';
    }

if (isset($filters['res']))                                                      
    if ($filters['res'][0] != 'allres') {
        $in = '';                            
        
        foreach ($filters['res'] as $c) {
            $in .= ', "'.$c.'"';
        }
        
        $in = substr($in, 1);
        
        $query .= ' 
        and CONCAT(t.scrw, "x", t.scrh) in ('.$in.')';
        
        $query2 .= ' 
        and CONCAT(t.scrw, "x", t.scrh) in ('.$in.')';
    }
    
if (isset($filters['traffic_type']))
    switch ($filters['traffic_type']) {     
        case 'search':
            
            if (isset($filters['se']))
                if ($filters['se'][0] != 'allse') {
                    $in = '';                            
                    
                    foreach ($filters['se'] as $c) {
                        $in .= ', "'.$c.'"';
                    }
                    
                    $in = substr($in, 1);
                    
                    $query .= ' 
                    and t.seid in ('.$in.')';
                    
                    $query2 .= ' 
                    and t.seid in ('.$in.')';
                } else {
                    $query .= ' 
                    and t.seid<>0';
                    
                    $query2 .= ' 
                    and t.seid<>0';
                }
            if (isset($filters['kw']))
                if ($filters['kw'][0] != 'allkw') {
                    $in = '';                          
                    
                    foreach ($filters['kw'] as $c) {
                        $in .= ', "'.$c.'"';
                    }
                    
                    $in = substr($in, 1);
                    
                    $query .= ' 
                    and t.keyword in ('.$in.')';
                    
                    $query2 .= ' 
                    and t.keyword in ('.$in.')';
                } else {
                    $query .= ' 
                    and t.keyword<>""';
                    
                    $query2 .= ' 
                    and t.keyword<>""';
                }
            
            
            break;
        case 'alltraffic':
            break;
        case 'direct':  
            $query .= ' 
                and t.referer="" 
                and t.seid=0 ';
            
            $query2 .= ' 
                and t.referer="" 
                and t.seid=0 ';
            
            break;
        case 'referred':
            $q2 = 'select ssid from tr_visits where ';
            if (isset($filters['ref']))
                if ($filters['ref'][0] != 'allref') {
                    $in = '';                            
                    
                    foreach ($filters['ref'] as $c) {
                        $in .= 'or referer like "%'.$c.'%"';
                    }
                    
                    $in = substr($in, 3);
                    $q2 .= $in;
                    
                    $query .= ' 
                    and t.seid=0 and t.referer<>"" and t.ssid in ('.$q2.')';
                    
                    $query2 .= ' 
                    and t.seid=0 and t.referer<>"" and t.ssid in ('.$q2.')';
                } else {
                    $query .= ' 
                    and t.seid=0 and t.referer<>"" ';
                    
                    $query2 .= ' 
                    and t.seid=0 and t.referer<>"" ';
                }
            
            break;
        default:
            break;
    }


$kul = 0;
if (isset($filters['pages']))
    if ($filters['pages'][0] != 'allpages') {
        $in = '';                              
        
        foreach ($filters['pages'] as $c) {
            $in .= ', "'.$c.'"';
        }
        
        $in = substr($in, 1);
        
        $kul = 1;                           

        $query .= ' 
        and p.myscript in ('.$in.')';
        
        $query2 .= ' 
        and p.myscript in ('.$in.')';
    }

if (isset($filters['goals']))
    if ($filters['goals'][0] != 'allgoals') {
        $in = '';                                  
                                                  
        $q2 = 'select pgid from tr_pages where ';
        
        foreach ($filters['goals'] as $c) {
            $in .= 'or gid like "%'.$c.'%"';
        }
        
        $in = substr($in, 3);
        $q2 .= $in;
        
    //    if ($kul == 0)
    //        $query .= ' 
    //        and t.ssid=p.ssid ';
        $query .= ' 
        and p.pgid in ('.$q2.')';
        
        $query2 .= ' 
        and p.pgid in ('.$q2.')';
    }

$query3 = str_replace('select distinct(t.ssid), p.pgid, t.ip, t.start_time, t.country, t.v_os, t.seid, t.referer, t.keyword, t.v_os_version, t.browser, t.browser_version, t.total_time, se.sname, se.searchurl', 'select count(distinct(t.ssid)) as counter', $query);
//$query3 .= ' group by t.ssid';

$query .= ' group by t.ssid order by t.ssid desc limit '.$StartFrom.', '.$ShowPerPage;
$query2 .= ' group by t.ssid limit '.($StartFrom + $ShowPerPage).', '.$ShowPerPage;  

//print $query;
print 'yyy';

$totals = $wpdb->get_results($query3);
$actions = $wpdb->get_results($query);


$min = 0;
$max = ceil($totals[0]->counter / $ShowPerPage) + 1;

//print $totals[0]->counter / $ShowPerPage;

$pages = array();
for ($i = $mypage - 5; $i < $mypage; $i++) {
    if ($i > 0) {
        $newstart = ($i - 1) * $ShowPerPage; if ($newstart < 0) $newstart = 0;
        array_push($pages, array('page' => $i, 'link' => 'admin.php?page=wpc-visitors&start='.$newstart));
    }
}

array_push($pages, array('page' => $mypage, 'link' => ''));

for ($i = $mypage + 1; $i <= $mypage + 5; $i++) {
    if ($i < $max) {
        $newstart = ($i - 1) * $ShowPerPage; 
        
        if ($newstart < 0) $newstart = 0; 
//        if ($newstart > $totals[0][0]) $newstart = $totals[0][0] - $ShowPerPage; 
        
        array_push($pages, array('page' => $i, 'link' => 'admin.php?page=wpc-visitors&start='.$newstart));
    }
} 

//print_r($actions);

include 'results.display.php';

?>
